#!/bin/sh

PAM_HOME=`$(dirname "$0")/SetPamHome.sh`
JAVA_HOME=$PAM_HOME/jre
JAVA_OPTS=-Dcom.sun.jndi.ldap.object.disableEndpointIdentification=true
PATH=$JAVA_HOME/bin:$PATH
CATALINA_LIB=$PAM_HOME/web/lib
XLIB=$PAM_HOME/pkg/pam

CLASSPATH=.

for jar in $(ls $CATALINA_LIB/*.jar); do
  CLASSPATH=$CLASSPATH:$jar
done

for jar in $(ls $XLIB/*.jar); do
  CLASSPATH=$CLASSPATH:$jar
done

$JAVA_HOME/bin/java $JAVA_OPTS -cp $CLASSPATH com.pam.dir.Directory "$@"
